package hauer.calculator;

import java.io.File;

/**
 * Hauptklasse des Projektes.
 * Erstellt einen neuen Taschenrechner und führt ihn entweder im interaktiven Modus aus, oder versucht
 * den übergebenen String als Dateinamen zu interpretieren und lässt den Taschenrechner rechnen.
 * @author hauer
 */
public class Application {

	public static void main(String[] args) {
		Calculator calc = new Calculator();
		/* Keine Argumente: Interaktiver Modus, Argumente: Datei */
		if(args.length > 0){
			File file = new File(args[0]);
			if(file.exists()) {
				calc.parseFile(new File(args[0]));
				return; // Programm beenden, wenn Dateil vollständig ausgelesen wurde.
			}
		}
		calc.runInteractive();
	}
}
